Workspaces
Create Workspace
Create a new workspace.
Creator automatically receives ADMIN permissions on the workspace.
POST
/
workspaces
Create Workspace
curl --request POST \
--url https://api.aspect.inc/workspaces \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"icon": {
"emoji": "<string>",
"attachment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"color": "<string>",
"url": "<string>",
"clear": false
}
}
'import requests
url = "https://api.aspect.inc/workspaces"
payload = {
"name": "<string>",
"icon": {
"emoji": "<string>",
"attachment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"color": "<string>",
"url": "<string>",
"clear": False
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
icon: {
emoji: '<string>',
attachment_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
color: '<string>',
url: '<string>',
clear: false
}
})
};
fetch('https://api.aspect.inc/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"actions": 123,
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"icon": {
"type": "emoji",
"emoji": "<string>",
"color": "<string>",
"url": "<string>",
"upload": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"mime_type": "<string>",
"size_bytes": 123,
"uploaded": true,
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"url": "<string>",
"url_expires_at": "2023-11-07T05:31:56Z"
}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
BearerAuthApiKeyAuth
JWT in Authorization header. 'Bearer ' prefix optional.
Body
application/json
Response
Successful Response
API response schema for creating a workspace
Workspace ID
Workspace name
User's permission bitmap on this workspace
ID of the user that created the workspace
Creation timestamp
Last update timestamp
Workspace icon data
Show child attributes
Show child attributes
⌘I
Create Workspace

